gtkmm: Gtk::EventControllerLegacy Class Reference

gtkmm 4.7.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::EventControllerLegacy Class Reference
Event Controllers and Gestures

Event controller that provides raw access to the event stream. More...

`#include <gtkmm/eventcontrollerlegacy.h>`

Inheritance diagram for Gtk::EventControllerLegacy:
[legend]

## Public Member Functions
| EventControllerLegacy (EventControllerLegacy && src) noexcept
EventControllerLegacy & | operator= (EventControllerLegacy && src) noexcept
| ~EventControllerLegacy () noexcept override
GtkEventControllerLegacy * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEventControllerLegacy * | gobj () const
| Provides access to the underlying C GObject. More...
GtkEventControllerLegacy * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::SignalProxy< bool(const Glib::RefPtr< const Gdk::Event > &)> | signal_event ()
Public Member Functions inherited from Gtk::EventController
| EventController (EventController && src) noexcept
EventController & | operator= (EventController && src) noexcept
| ~EventController () noexcept override
GtkEventController * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEventController * | gobj () const
| Provides access to the underlying C GObject. More...
GtkEventController * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Widget * | get_widget ()
| Returns the `Gtk::Widget` this controller relates to. More...
const Widget * | get_widget () const
| Returns the `Gtk::Widget` this controller relates to. More...
void | reset ()
| Resets the controller to a clean state. More...
PropagationPhase | get_propagation_phase () const
| Gets the propagation phase at which controller handles events. More...
void | set_propagation_phase (PropagationPhase phase)
| Sets the propagation phase at which a controller handles events. More...
PropagationLimit | get_propagation_limit () const
| Gets the propagation limit of the event controller. More...
void | set_propagation_limit (PropagationLimit limit)
| Sets the event propagation limit on the event controller. More...
Glib::ustring | get_name () const
| Gets the name of controller. More...
void | set_name (const Glib::ustring & name)
| Sets a name on the controller that can be used for debugging. More...
Glib::RefPtr< const Gdk::Event > | get_current_event () const
| Returns the event that is currently being handled by the controller. More...
guint32 | get_current_event_time () const
| Returns the timestamp of the event that is currently being handled by the controller. More...
Glib::RefPtr< Gdk::Device > | get_current_event_device ()
| Returns the device of the event that is currently being handled by the controller. More...
Glib::RefPtr< const Gdk::Device > | get_current_event_device () const
| Returns the event that is currently being handled by the controller. More...
Gdk::ModifierType | get_current_event_state () const
| Returns the modifier state of the event that is currently being handled by the controller. More...
Glib::PropertyProxy_ReadOnly< Widget * > | property_widget () const
| The widget receiving the `Gdk::Events` that the controller will handle. More...
Glib::PropertyProxy< PropagationPhase > | property_propagation_phase ()
| The propagation phase at which this controller will handle events. More...
Glib::PropertyProxy_ReadOnly< PropagationPhase > | property_propagation_phase () const
| The propagation phase at which this controller will handle events. More...
Glib::PropertyProxy< PropagationLimit > | property_propagation_limit ()
| The limit for which events this controller will handle. More...
Glib::PropertyProxy_ReadOnly< PropagationLimit > | property_propagation_limit () const
| The limit for which events this controller will handle. More...
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name for this controller, typically used for debugging purposes. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name for this controller, typically used for debugging purposes. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< EventControllerLegacy > | create ()
Static Public Member Functions inherited from Gtk::EventController
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| EventControllerLegacy ()
Protected Member Functions inherited from Gtk::EventController
| EventController ()
| There is no create() method that corresponds to this constructor, because only derived classes shall be created. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::EventControllerLegacy > | wrap (GtkEventControllerLegacy * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::EventController
Glib::RefPtr< Gtk::EventController > | wrap (GtkEventController * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Event controller that provides raw access to the event stream.

Gtk::EventControllerLegacy is an event controller that provides raw access to the event stream.

It should only be used as a last resort if none of the other event controllers or gestures do the job.

Since gtkmm 4.4:

## Constructor & Destructor Documentation

## ◆ EventControllerLegacy() [1/2]

Gtk::EventControllerLegacy::EventControllerLegacy | ( | EventControllerLegacy && | src | ) |
| noexcept

## ◆ ~EventControllerLegacy()

Gtk::EventControllerLegacy::~EventControllerLegacy | ( |  | ) |
| overridenoexcept

## ◆ EventControllerLegacy() [2/2]

Gtk::EventControllerLegacy::EventControllerLegacy | ( |  | ) |
| protected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr<EventControllerLegacy> Gtk::EventControllerLegacy::create | ( |  | ) |
| static

## ◆ get_type()

static GType Gtk::EventControllerLegacy::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkEventControllerLegacy* Gtk::EventControllerLegacy::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkEventControllerLegacy* Gtk::EventControllerLegacy::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkEventControllerLegacy* Gtk::EventControllerLegacy::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

EventControllerLegacy& Gtk::EventControllerLegacy::operator= | ( | EventControllerLegacy && | src | ) |
| noexcept

## ◆ signal_event()

Glib::SignalProxy<bool(const Glib::RefPtr<const Gdk::Event>&)> Gtk::EventControllerLegacy::signal_event | ( |  | ) |

Slot Prototype:
  `bool on_my_event(const Glib::RefPtr<const Gdk::Event>& event)`

Flags: Run Last

Emitted for each GDK event delivered to controller.

Parameters

  event | The `Gdk::Event` which triggered this signal.

Returns
  `true` to stop other handlers from being invoked for the event and the emission of this signal. `false` to propagate the event further.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::EventControllerLegacy > wrap | ( | GtkEventControllerLegacy * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.